package app18b.dao;

import app18b.util.ServiceLocator;

import java.sql.Connection;
import java.sql.SQLException;
import javax.naming.Context;
import javax.sql.DataSource;


public class DAOBase implements DAO {
	
  public Connection getConnection() throws DAOException {
      
    Connection connection = null;
    Context context = null;   
 
    DataSource dataSource = ServiceLocator.getInstance().getDataSource();
    if (dataSource!= null) {
      try {
        connection = dataSource.getConnection();
      }
      catch (SQLException e) {
          System.out.println("DAOBase");
          throw new DAOException();
      }
    } else
        System.out.println("Can not find DataSource");
    return connection;
  }
}


